> For the complete documentation index, see [llms.txt](https://docs.roboflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roboflow.com/roboflow/roboflow-hi/deploy/vision-events/delete-events.md).

# Events हटाएँ

आप अब उपयोग में न रहने वाले Vision Events हटा सकते हैं। हटाए गए events को query results और Dashboard से स्थायी रूप से हटा दिया जाता है।

## Dashboard से हटाएँ

1. एक Use Case खोलें और उस event पर क्लिक करें जिसे आप हटाना चाहते हैं
2. event detail sidebar में, event ID के पास वाले trash icon पर क्लिक करें
3. dialog में हटाने की पुष्टि करें

## API के माध्यम से हटाएँ

एक अनुरोध `POST` को `/vision-events/delete` Use Case ID और हटाने के लिए event IDs की एक array के साथ.

```bash
curl -X POST "https://api.roboflow.com/vision-events/delete" \
  -H "Content-Type: application/json" \\
  -H "Authorization: Bearer YOUR_API_KEY" \\
  -d '{
    "useCaseId": "assembly-line-qa",
    "eventIds": ["evt-789ghi", "evt-456def"]
  }'
```

**उत्तर:**

```json
{
  "deleted": 2,
  "notFound": []
}
```

`deleted` हटाए गए events की संख्या है। जो event IDs किसी live event से मेल नहीं खाते, उन्हें `notFound` array.

आप प्रति request अधिकतम 1,000 events हटा सकते हैं।
